
#ifndef __SNMPCOMMON_SNMPCOMMON_H__
#define __SNMPCOMMON_SNMPCOMMON_H__

/*
 * In case we need to make extensions to this API for other modules to register
 * things with the SNMP-agent are for the SNMP agent to make info available
 * we must keep track of a API-version.
 * We also must now not rotate the currently defined items in the
 * 'covalent_snmp_sconfig' and the 'external_mib_subtree'.
 */

#define SNMPCOMMON_API_VERSION	1

SNMPCOMMON_DECLARE(unsigned long) get_appl_index(void);
SNMPCOMMON_DECLARE(unsigned int) get_www_service_total(void);
SNMPCOMMON_DECLARE(void) set_www_service_root(server_rec *s);
SNMPCOMMON_DECLARE(server_rec *) get_www_service_root(void);
SNMPCOMMON_DECLARE(int) set_www_service_index(apr_pool_t *p, server_rec *s, int index);
SNMPCOMMON_DECLARE(unsigned int) get_www_service_index(const server_rec *s);
SNMPCOMMON_DECLARE(int) set_www_service_protocol(apr_pool_t *p, server_rec *s, char *protocol);
SNMPCOMMON_DECLARE(char *) get_www_service_protocol(const server_rec *s);

#endif /* __SNMPCOMMON_SNMPCOMMON_H__ */
